Community
Inventor Forum
Welcome to Autodesk’s Inventor Forums. Share your knowledge, ask questions, and explore popular Inventor topics.
cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

Search Dimension

7 REPLIES 7
SOLVED
Reply
Message 1 of 8
CAD-One
1691 Views, 7 Replies

Search Dimension

I have a long model tree. In the Fx (Parameter dialog) I can see tons of d## numbers. I see one of it as d136. I want to know where in the model its used.

 

Possible?

C1
Inventor Professional 2020
Vault Professional 2020
AutoCAD 2020
7 REPLIES 7
Message 2 of 8
CAD-One
in reply to: CAD-One

There should be a way !!

Come-on, Autodesk ?

C1
Inventor Professional 2020
Vault Professional 2020
AutoCAD 2020
Message 3 of 8
Curtis_Waguespack
in reply to: CAD-One

Hi CAD-One,

 

I have a rough iLogic rule to do this, but it's a bit buggy. If I have time to clean it up, would iLogic work for you?

 

I hope this helps.
Best of luck to you in all of your Inventor pursuits,
Curtis
http://inventortrenches.blogspot.com


Message 4 of 8
vandargo
in reply to: CAD-One

I tried this quickly, and it seemed to point me to the sketch I needed anyway.  Go to the "find" button.  Under property select "sketch parameter name", and for the condition, select "contains".  Type the search parameter (d136) and  Add to the search list, and hit "find now".  The sketch containing the dimension should highlight.  From here, edit the sketch to show dims, which you can do by changing the dimension display to name instead of value.

 

Hope that helps.  Not as quick and slick as maybe right clicking on the value in the parameter list, and zeroing in on it from there.

Message 5 of 8

Hi CAD-One,

 

Here's an ilogic rule to search for parameters. It's not promised to be perfect, but it seems to be working fairly smoothly now. Attached is an example file also.

 

I hope this helps.
Best of luck to you in all of your Inventor pursuits,
Curtis
http://inventortrenches.blogspot.com

 

 

Dim oDoc As Inventor.PartDocument
Dim TargetName As String
Dim oCompDef As Inventor.PartComponentDefinition
Dim oSketch As PlanarSketch
Dim oFeature As PartFeature
Dim oConstr As DimensionConstraint
Dim oParams As Parameters 
Dim oModelParam As ModelParameter
Dim oParam As Parameter
Dim oCmdMgr As CommandManager
Dim oSet1 As Inventor.HighLightSet
Dim oFound As Boolean


‘get the Inventor user name from the Inventor Options
myName= ThisApplication.GeneralOptions.UserName

oDoc = ThisApplication.ActiveDocument
oCompDef = oDoc.ComponentDefinition
oParams = oCompDef.Parameters 

oSet1 = oDoc.CreateHighlightSet
TargetName = InputBox("Enter the name of the paramter you wish to find.", "iLogic", "")

For Each oSketch In oCompDef.Sketches
    For Each oConstr In oSketch.DimensionConstraints
    	If oConstr.Parameter.Name = TargetName Then
	oSketch.Edit
	oDoc.SelectSet.Select(oSketch)
	ThisApplication.CommandManager.ControlDefinitions.Item("AppZoomSelectCmd").Execute
	ThisApplication.CommandManager.ControlDefinitions.Item("AppLookAtCmd").Execute
	ThisApplication.ActiveView.Update()
	oSet1.AddItem(oConstr)
	oSet1.SetColor(255,0,0)
	MessageBox.Show("Hi " & myName & ",  " & vblf & _
	TargetName & vblf & "is highlighted.", "iLogic")
	oFound = True	
    	End If
    Next
Next

If oFound = True then
Return
Else
For Each oFeature In oCompDef.Features
	For Each oParam in oFeature.Parameters
	            If oParam.Name = TargetName Then
		oDoc.SelectSet.Select(oFeature)
		ThisApplication.CommandManager.ControlDefinitions.Item("AppZoomSelectCmd").Execute
		ThisApplication.ActiveView.Update()
		oSet1.AddItem(oFeature)
		oSet1.SetColor(255,0,0)
		MessageBox.Show("Hi " & myName & ",  " & vblf & _
		TargetName & vblf & "is located in: " & vblf & oFeature.Name, "iLogic")
		oFound = True	
		End If
	Next
Next
End if

If oFound <> True then
MessageBox.Show("A model parameter named:  " _
& vblf & TargetName & vblf & "was NOT found.", "iLogic")
End if 
Message 6 of 8
CAD-One
in reply to: CAD-One

Guys,
You are amazing. Thanks for the help. I will try them soon.
Thx
C1
Inventor Professional 2020
Vault Professional 2020
AutoCAD 2020
Message 7 of 8
SBix26
in reply to: CAD-One

In the paramaters dialog box, hover your cursor over the parameter name (d136 in your example).  Do you get a tooltip with info about where the parameter is used?

Message 8 of 8
CAD-One
in reply to: CAD-One

Awesome tip dude ! Never noticed it.

That makes it easier.
C1
Inventor Professional 2020
Vault Professional 2020
AutoCAD 2020

Can't find what you're looking for? Ask the community or share your knowledge.

Post to forums  

Autodesk Design & Make Report